<?php

namespace App\Service;

use App\Exception;

class IntegrationService {
    
    private $util;
    private $integrationFactory;

    public function __construct (\App\Util\Util $util,
                                 \App\Factory\IntegrationFactory $integrationFactory) {

        $this->util                 = $util;
        $this->integrationFactory   = $integrationFactory;
    }
    
    public function getBranches(){
		return $this->integrationFactory->getBranches();
	}
	
	public function getLastEventCode(){
		return $this->integrationFactory->getLastEventCode();
	}
	
	public function getLastEventDate(){
		return $this->integrationFactory->getLastEventDate();
	}
	
	public function getProductPrices($CDFILIAL, $CDLOJA, $CDCLIENTE, $eventDate, $errorProducts){
		return $this->integrationFactory->getProductPrices($CDFILIAL, $CDLOJA, $CDCLIENTE, $eventDate, $errorProducts);
	}
	
	public function saveProductExpLog($CDEVENTO, $CDFILIAL, $CDPRODUTO, $IDTPEVENTO, $DSEVENTO, $URLEVENTO){
		return $this->integrationFactory->saveProductExpLog($CDEVENTO, $CDFILIAL, $CDPRODUTO, $IDTPEVENTO, $DSEVENTO, $URLEVENTO);
	}
	
	public function getIdToken($CDFILIAL){
		return $this->integrationFactory->getIdToken($CDFILIAL);
	}
	
	public function setCdProdInte($CDPRODINTE, $CDPRODUTO, $CDPROJETO, $CDSUBPROJETO, $CDFILIAL){
		$this->integrationFactory->setCdProdInte($CDPRODINTE, $CDPRODUTO, $CDPROJETO, $CDSUBPROJETO, $CDFILIAL);
	}
	
	public function getCdSubProj($origin){
        return $this->integrationFactory->getCdSubProj($origin);
    }
    
    public function getExternalCode($CDPRODUTO, $CDPROJETO, $CDSUBPROJETO, $CDFILIAL){
        return $this->integrationFactory->getExternalCode($CDPRODUTO, $CDPROJETO, $CDSUBPROJETO, $CDFILIAL);
    }
    
    public function getErrorProducts($CDFILIAL){
        return $this->integrationFactory->getErrorProducts($CDFILIAL);
    }
    
    public function updateErrorLog($CDPRODUTO, $CDFILIAL){
        return $this->integrationFactory->updateErrorLog($CDPRODUTO, $CDFILIAL);
    }

}